---
lang: en
title: 'API docs: repository.belongstorepository'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.belongstorepository.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [BelongsToRepository](./repository.belongstorepository.md)

## BelongsToRepository interface

CRUD operations for a target repository of a BelongsTo relation

<b>Signature:</b>

```typescript
export interface BelongsToRepository<Target extends Entity> 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [get(options)](./repository.belongstorepository.get.md) | Gets the target model instance |


